%define modname benchmark

Name:           ocaml-%{modname}
Version:        1.1
Release:        %mkrel 1
Summary:        OCaml module for benchmarking code
Group:          Development/Other
License:        LGPLv2+ with linking exception
URL:            http://ocaml-benchmark.forge.ocamlcore.org/
Source0:        http://forge.ocamlcore.org/frs/download.php/611/%{modname}-%{version}.tar.gz
BuildRequires:  ocaml
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-pcre-devel
BuildRequires:  camlp4

%description
OCaml Benchmark is a small module to benchmark running times of code.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{EVRD}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{modname}-%{version}

%build
ocaml setup.ml -configure
ocaml setup.ml -build

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
ocaml setup.ml -install

%files
%doc README.txt
%{_libdir}/ocaml/%{modname}
%exclude %{_libdir}/ocaml/%{modname}/*.a
%exclude %{_libdir}/ocaml/%{modname}/*.cmxa
%exclude %{_libdir}/ocaml/%{modname}/*.mli

%files devel
%doc LICENSE.txt
%{_libdir}/ocaml/%{modname}/*.a
%{_libdir}/ocaml/%{modname}/*.cmxa
%{_libdir}/ocaml/%{modname}/*.mli





%changelog

* Thu Mar 01 2012 blue_prawn <blue_prawn> 1.1-1.mga2
+ Revision: 216285
- update to new version 1.1

* Sat Oct 22 2011 malo <malo> 1.0-2.mga2
+ Revision: 157422
- update license and rebuild for Ocaml 3.12.1

* Sun Sep 25 2011 shlomif <shlomif> 1.0-1.mga2
+ Revision: 147786
- New version - thank to Malo

* Tue Apr 12 2011 ennael <ennael> 0.9-1.mga1
+ Revision: 83664
- fix release tag
- Imported package ocaml-benchmark from Mandriva where it was made by Per ?\195?\152yvind Karlsen.


* Sun Apr 10 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.9-1
+ Revision: 652421
- imported package ocaml-benchmark


* Sun Apr 10 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.9-1
- initial package
